@charset "utf-8";
/* トランスコスモス株式会社 エンジニア新卒採用LP TOP Style CSS */


/* TOP Style ==================================== */
body {
  background-color: #000;
}

/* MV Style ==================================== */
#mv {
  position: relative;
  height: 100%;
  min-height: 600px;
  width: 100%;
  top: 0;
  z-index: 5;
  background-color: #000;
}
#mv__innner {
  display: flex;
  flex-direction: column;
  width: 100%;
  color: var(--color-white);
}
.deco-recruit {
  position: absolute;
  top: 120px;
  right: 8%;
  font-size: clamp(2.8rem, 2.22vw, 3.2rem);
  font-family: var(--font-family-en);
  font-weight: 600;
  color: var(--color-mono40);
  z-index: 3;
  animation: recruitAnim 0.3s linear;
}
@keyframes recruitAnim {
  0% {
    opacity: 0;
  }
  80% {
    opacity: 0.6;
  }
  100% {
    opacity: 1;
  }
}
#mv-catch {
  position: relative;
  height: 100dvh;
  background: url(/saiyou/fresh/engineer/images/bg_top.jpg) no-repeat center center;
  background-size: cover;
  background-color: var(--color-mono100);
  animation: Fade 1s linear;
}
#mv-catch .__inner {
  position: absolute;
  bottom:  clamp(30px, 6.53vw, 94px);
  left: 0;
  padding-inline: min(6.25vw, 120px) min(15.63vw, 300px);
}
.main-catch {
  display: flex;
  flex-wrap: wrap;
  gap: 20px 9px;
  justify-content: flex-start;
}
.Message {
  animation-duration:1.5s;
}
.Message .msg {
  fill: #fff;
}
.Message .msg-blink {
  fill: #fff;
  stroke: #fff;
  stroke-width: 1;
  animation: twinkleSVG 3s linear infinite;
}
.Message .msg-blink#Vector1 {
    animation-delay: 0.008s;
}
.Message .msg-blink#Vector3 {
    animation-delay: 0.012s;
}
.Message .msg-blink#Vector4 {
    animation-delay: 0.02s;
}
.Message .msg-blink#Vector5 {
    animation-delay: 0.04s;
}
.Message .msg-blink#Vector6 {
    animation-delay: 0.08s;
}
.Message .msg-blink#Vector7 {
    animation-delay: .12s;
}
.Message .msg-blink#Vector8 {
    animation-delay: .18s;
}
.Message .msg-blink#Vector11 {
    animation-delay: .24s;
}
.Message .msg-blink#Vector12 {
    animation-delay: .28s;
}
.Message .msg-blink#Vector14 {
    animation-delay: .32s;
}
.Message .msg-blink#Vector15 {
    animation-delay: .36s;
}
.Message .msg-blink#Vector16 {
    animation-delay: .4s;
}
@keyframes twinkleSVG {
  25% {
    fill: #fff;
    stroke-width: 1;
    opacity: 1;
  }
  80% {
    fill: #fff;
    opacity: 1;
  }
  85%{
    fill: #000;
    stroke: #fff;
    opacity: 1;
  }
  100%{
    fill: #fff;
    opacity: 1;
  }
}
#mv-catch p {
  font-size: 80px;
  font-weight: bold;
  line-height: 2;
}
#mv-catch p.nml {
  margin-top: 24px;
  margin-bottom: 20px;
  animation-duration:2s;
}
#mv-catch p.sml {
  font-size: clamp(1rem, 2.4vw, 1.8rem);
  font-family: var(--font-family-en);
  font-weight: 300;
  line-height: 140%;
  letter-spacing: 0.05em;
  animation-duration:3s;
}
#mv-message {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  height: 100vh;
  width: 100%;
  min-height: 500px;
  background: url(/saiyou/fresh/engineer/images/bg_bottom.jpg) no-repeat center center;
  background-size: cover;
  background-color: var(--color-mono100);
}
#mv-message .__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: min(2.22vw, 32px);
}
#mv-message p {
  font-weight: bold;
  text-align: center;
  line-height: 2;
}
#mv-message p:last-of-type {
  margin-bottom: min(3.33vw,48px);
}
#mv-message .last-message {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 18px;
}
.scroll {
  position: absolute;
  right: 8%;
  bottom:  clamp(30px, 1.53vw, 22px);
  width: 30px;
  height: 116.98px;
  writing-mode: vertical-rl;
  font-family: var(--font-family-en);
  font-weight: 600;
  font-size: clamp(1.4rem, 1.11vw, 1.6rem);
}
.scroll::before {
  position: absolute;
  content: "";
  left: -5px;
  top: 0;
  margin: auto;
  width: 8.66px;
  height: 116.98px;
  background: url(/saiyou/fresh/engineer/images/deco-scroll.svg) no-repeat 100%;
  background-size: cover;
  animation: scroll 4s infinite;
}
@keyframes scroll {
  0% {
    background-position: top -300px right;
  }
  50% {
    background-position: top -30px right;
  }
  51% {
    background-position: top -30px right;
  }
  100% {
    background-position: top 116.98px right;
  }
}
@media screen and (max-width:1024px) and (min-width:751px) {
  #mv-message {
    min-height: 70vh;
    height: fit-content;
  }
  #mv-message .__inner {
    padding-block: 60px;
  }
}
@media screen and (max-width:750px) {
  #mv-catch {
    background: url(/saiyou/fresh/engineer/images/bg_top_sp.jpg) no-repeat center center;
    background-size: cover;
  }
  #mv-message {
    background: url(/saiyou/fresh/engineer/images/bg_bottom_sp.jpg) no-repeat center center;
    background-size: cover;
  }
  .deco-recruit {
    top: clamp(82px, 13.33vw, 100px);
    right: 4%;
    font-size: clamp(2.8rem, 2.22vw, 3.2rem);
    font-family: var(--font-family-en);
    font-weight: 600;
    color: var(--color-mono40);
    z-index: 3;
  }
  .Message:nth-of-type(1) {
    width: clamp(300px, 69.73vw, 523px);
  }
  .Message:nth-of-type(2) {
    width: clamp(208.795px, 48.53vw, 364px);
  }
  #mv-catch p.sml {
    font-size: 2.67vw;
  }
  .scroll {
    right: clamp(10px, 2.67vw, 20px);
  }
  #mv-message .__inner {
    padding-inline: clamp(20px, 5.33vw, 40px);
  }
  #mv-message .last-message img:first-child {
    width: clamp(236px, 53.2vw,399px);
  }
  #mv-message .last-message img {
    width: clamp(320px, 71.87vw,539px);
  }
}
@media screen and (max-width:374px) {
  .Message:nth-of-type(1) {
    width: 80.21vw;
  }
  .Message:nth-of-type(2) {
    width: 55.83vw;
  }
  #mv-catch p.sml {
    font-size: clamp(1rem, 3.21vw, 1.2rem);
  }
}
@media screen and (max-height:500px) {
  .deco-recruit {
    position: absolute;
    top: 60px;
  }
  .Message:nth-of-type(1) {
    width: 80.21vh;
  }
  .Message:nth-of-type(2) {
    width: 55.83vh;
  }
  #mv-catch .__inner {
    bottom:  20px;
  }
  .scroll {
    right: clamp(10px, 2.67vw, 20px);
  }
}

/* Container Style ==================================== */
#particles1 {
  position: fixed;
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  z-index: 1;
}
#container {
  position: relative;
  max-width: 1144px;
  margin: 0 auto;
  padding-top: 80px;
  z-index: 2;
}
#container h2 img {
  margin-bottom: 81px;
}
#container h2 span {
  font-size: 3.6rem;
}
#container .sub-text {
  margin-top: 72px;
}
@media screen and (max-width:1200px) {
  #container {
    padding-inline: clamp(20px, 3.33vw, 40px);
  }
}
/* event Style ==================================== */
#event {
  max-width: 1140px;
  margin: 0 auto 48px;
}
#event .__inner {
  position: relative;
  max-width: 1000px;
  margin-inline: auto;
}
#event h2 {
  margin-bottom: 24px;
}
#event .event-area {
  margin-bottom: 26px;
}
#event .event-card a {
  /*padding: clamp(15px,1.67vw,24px);*/
  display: block;
  color: #fff;
  text-decoration: none;
}
#event .event-card__inner {
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: clamp(15px,1.67vw,24px);
}
#event .event-card__inner .link {
  text-decoration: underline;
}
#event p:has(.lnk) {
  font-size: 2rem;
}
#event .lnk {
  width: fit-content;
  margin-left: auto;
  font-size: 2rem;
  font-family: var(--font-family-en);
}

@media screen and (max-width: 1024px) {
  #event {
    max-width: initial;
    width: 100%;
  }
  #event .__inner {
    max-width: initial;
    margin-inline: auto;
  }
  #event h2 {
    margin-bottom: clamp(15px, 3.91vw,24px);
  }
}
@media screen and (max-width: 750px) {
  #event .lnk {
    font-size: clamp(1.8rem, 2.67vw,2rem);
  }
}
/* Event slider Style ==================================== */
#event .swiper {
  max-width: 1000px;
}
/* slider navi */
#event .swiper-button-prev {
  position: absolute;
  left: -72px;
  background: url(/saiyou/fresh/engineer/images/ico-prev.svg) no-repeat 100% 100%;
}
#event .swiper-button-next {
  position: absolute;
  right: -72px;
  background: url(/saiyou/fresh/engineer/images/ico-next.svg) no-repeat 100% 100%;
}
#event .swiper-button-prev, #event .swiper-button-next {
  display: grid;
  place-content: center;
  position: absolute;
  z-index: 1;
  top: 0;
  bottom: 0;
  width: 40px;
  height: 40px;
  margin: auto;
  transition: all 0.4s;
  cursor: pointer;
}
/* slider pagination */
#event .swiper-pagination {
  display: flex;
  flex-wrap: wrap;
  gap: 1.2rem 0.8rem;
  justify-content: center;
  margin-top: 14px;
  text-align: center;
}
#event .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  cursor: pointer;
  vertical-align: top;
  background-color: #999;
}
#event .swiper-pagination-bullet-active {
  background-image: conic-gradient(from 45deg, #eeeeee, #d8d8d8);
}
#event .swiper-button-prev[aria-disabled="true"],
#event .swiper-button-next[aria-disabled="true"],
#event .swiper-pagination.swiper-pagination-lock {
    display: none;
}
@media screen and (min-width: 1025px) {
  #event .swiper {
    padding-top: 16px;
  }
  #event .swiper-slide {
    transition: opacity 0.4s;
  }
  #event .swiper-slide a:hover {
    opacity: 0.7;
  }
  #event .event-img {
    display: block;
    overflow: hidden;
    transition: all 0.4s;
  }
  #event .swiper-slide img {
    transition: all 0.4s;
  }
  #event .swiper-slide a:hover img {
    transform: scale(1.08);
  }
  .swiper-button-prev:hover, .swiper-button-next:hover,
  .swiper-pagination-bullet:hover {
    opacity: 0.7;
  }
}
@media screen and (max-width: 1200px) {
  #event .swiper {
    max-width: clamp(870px, 75vw, 900px);
  }
  #event .swiper-button-prev {
    left: 0;
  }
  #event .swiper-button-next {
    right: 0;
  }
  #event .swiper-button-prev, #event .swiper-button-next {
    width: clamp(30px, 2.92vw, 40px);
    height: clamp(30px, 2.92vw, 40px);
    background-size: contain;
  }
}
@media screen and (max-width: 1024px) {
  #event .swiper {
    max-width: 83.33vw;
    margin-inline: auto;
  }
  #event .swiper-button-prev {
    right: calc(100% - 3.2rem);
  }
  #event .swiper-button-next {
    left: calc(100% - 3.2rem);
  }
}
@media screen and (max-width: 750px) {
  #event .swiper {
    margin-inline: auto;
  }
  #event .swiper-button-prev, #event .swiper-button-next {
    position: initial;
    width: clamp(30px, 5.33vw, 40px);
    height: clamp(30px, 5.33vw, 40px);
    background-size: contain;
    margin: 0;
  }
  #event .swiper-parts {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(32px, 8.53vw, 64px);
  }
  #event .swiper-pagination {
    margin-top: 0;
  }
}

/* Topics Style ==================================== */
#topics {
  max-width: 1000px;
  margin: 0 auto 96px;
}
.topics-area {
  margin-top: -20px;
  padding: 16px 0 8px;
  background-color: rgba(0, 0, 0, 0.8);
}
.topics-area ul {
  display: flex;
  flex-direction: column;
}
.topics-area li {
  display: flex;
  gap: 16px;
  align-items: baseline;
  padding: 24px 24px;
  color: var(--color-white);
  font-weight: 300;
}
.topics-area li strong {
  font-weight: 700;
}
.topics-label {
  flex-shrink: 0;
  padding: 4px 8px;
  border-radius: 2px;
  font-size: 1.4rem;
  font-weight: 600;
  text-align: center;
}
.topics-label.nml {
  background-image: linear-gradient(45deg, #eeeeee, #d8d8d8);
  color: var(--color-mono100);
}
.topics-label.cv-eng {
  background-color: var(--color-cv-eng);
}
.topics-label.arc-eng {
  background-color: var(--color-arc-eng);
}
.topics-label.mec-eng {
  background-color: var(--color-mec-eng);
}
.topics-label.emb-eng {
  background-color: var(--color-emb-eng);
}
@media screen and (min-width: 1025px) {
  .topics-area li a:hover {
    text-decoration: none;
  }
}
@media screen and (max-width: 1024px) {
  #topics h2 {
    margin-bottom: 20px;
  }
  #topics {
    max-width: initial;
  }
  .topics-area ul {
    gap: 24px;
  }
  .topics-area li {
    gap: 8px 16px;
    padding: 0 clamp(10px, 3.47vw, 26px);
  }
  .topics-label {
    padding: 2px 6px 1px 6px;
  }
}

/* Job Style ==================================== */
#job {
  max-width: 1000px;
  margin: 0 auto 188px;/* 元々88px */
}
#job h2 {
  margin-bottom: 32px;
}
#job .job-area {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 8px;
  margin-bottom: 24px;
}
#job .job-area a {
  position: relative;
}
#job .job-area a h3 {
  position: absolute;
  bottom: 10px;
  left: 10px;
  margin-right: 10px;
  z-index: 4;
}
#job .job-area a .bg-img {
  z-index: 3;
}
#job p .lnk {
  width: fit-content;
  margin-left: auto;
  font-size: 2.4rem;
}
@media screen and (min-width: 1025px) {
  #job .job-area a {
    overflow: hidden;
  }
  #job .job-area a img.bg-img {
    transform: scale(1);
    transition: transform 0.4s;
  }
  #job .job-area a:hover img.bg-img {
    transform: scale(1.05);
  }
}
@media screen and (max-width: 1024px) {
  #job {
    max-width: initial;
  }
}
@media screen and (max-width: 750px) {
  #job .job-area {
    grid-template-columns: 1fr;
    gap: 16px;
    padding: 0 clamp(10px, 3.47vw, 26px);
  }
  #job .job-area a h3 {
    margin-right: min(13.33vw, 100px);
  }
  #job .job_card .bg-img {
    width: 100%;
  }
  #job p .lnk {
    font-size: clamp(2rem, 3.2vw,2.4rem);
  }
}
/* tci-about Style ==================================== */
#tci-about {
  width: 100vw;
  margin: 0 calc(50% - 50vw);
  padding-top: 96px;
  padding-bottom: 166px;
  background-color: #F2F2F2;
}
#tci-about a,
#tci-about a:visited {
  color: var(--color-mono100);
}
#tci-about .__inner {
  max-width: 1000px;
  margin: 0 auto;
}
#tci-about h2 {
  margin-bottom: 32px;
}
#tci-about .tci-area {
  display: grid;
  grid-template-columns: repeat(3,1fr);
  gap: 32px;
  margin-bottom: 32px;
}
.tci_card {
  padding: 43px 24px 40px;
  border-radius: 4px;
  background-repeat: no-repeat;
  background-color: var(--color-white);
  background-position: center;
  background-size: cover;
  box-shadow: 0px 4px 16px 3px rgba(0, 0, 0, 0.1), 0px 1px 6px rgba(0, 0, 0, 0.1);
  text-decoration: none!important;
}
#tci_card1 {
  background-image: url(/saiyou/fresh/engineer/images/bg-tci-about_card1.png);
}
#tci_card2 {
  background-image: url(/saiyou/fresh/engineer/images/bg-tci-about_card2.png);
}
#tci_card3 {
  background-image: url(/saiyou/fresh/engineer/images/bg-tci-about_card3.png);
}
.tci_card h3 {
  display: flex;
  justify-content: space-between;
  font-size: 2rem;
  margin-bottom: 24px;
}
.tci_card h3.lnk::after {
  transform: translateX(0);
  transition: transform 0.4s;
}
.tci_card a:hover h3.lnk::after {
  transform: translateX(20%);
}
.tci_card p {
  font-size: var(--txtfs-df);
}
#tci-about p .lnk {
  width: fit-content;
  margin-left: auto;
  font-size: 1.8rem;
  color: var(--color-mono100);
}
@media screen and (min-width: 1025px) {
  .tci_card {
    transition: opacity 0.4s;
  }
  .tci_card:hover {
  color: var(--color-mono100);
    opacity: 0.7;
  }
  .tci_card:hover .lnk::after {
    transform: translateX(20%);
  }
}
@media screen and (max-width: 1024px) {
  #tci-about {
    padding-top: clamp(60px, 9.38vw, 96px);
    padding-bottom: clamp(100px, 16.21vw,166px);
    padding-inline: clamp(20px, 3.91vw, 40px);
  }
  #tci-about .__inner {
    max-width: initial;
  }
  #tci-about .tci-area {
    gap: clamp(20px, 3.13vw, 32px);
  }
  .tci_card {
    padding: clamp(20px, 4.2vw, 43px) clamp(15px, 2.34vw, 24px);
  }
  .tci_card h3 {
    font-size: clamp(1.6rem, 1.95vw, 2rem);
    margin-bottom: clamp(15px, 2.34vw, 24px);
  }
}
@media screen and (max-width: 830px) {
  .topics-area li {
    flex-wrap: wrap;
  }
  .topics-area li p {
    width: 100%;
  }
}
@media screen and (max-width: 750px) {
  #tci-about .tci-area {
    grid-template-columns: 1fr;
    padding-inline: clamp(10px, 3.47vw, 26px);
  }
  .tci_card {
    background-size: contain;
    padding: clamp(20px, 4vw, 30px) clamp(20px, 5.33vw, 40px);
  }
}